<xml></xml>

Collapse AllExpand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
HashDatabase..::.Cursor Method (CursorConfig)
HashDatabase Class See Also Send Feedback

Create a database cursor with the given configuration.

Namespace: BerkeleyDB
Assembly: libdb_dotnet61 (in libdb_dotnet61.dll) Version: 6.1.26.0

# Syntax

C#

    public HashCursor Cursor(
    	CursorConfig cfg
    )

Visual Basic (Declaration)

    Public Function Cursor ( _
    	cfg As CursorConfig _
    ) As HashCursor

Visual C++

    public:
    HashCursor^ Cursor(
    	CursorConfig^ cfg
    )

#### Parameters

cfg
  Type: BerkeleyDB..::.CursorConfig
  The configuration properties for the cursor.

#### Return Value

A newly created cursor

# See Also

HashDatabase Class
Cursor Overload
BerkeleyDB Namespace